Subject: RE: draft-strassner-policy-terms-01.txt

From: Francis Reichmeyer -NJ <[email-masked]>
Date: Sat, 21 Aug 1999 16:56:28 -0400

Hi,

I don't think this is a nit. I think there is an 
underlying (important) issue that goes along
with this question, and it has to do with the 
level of policy abstraction at various functional
components in the policy system. If you just 
consider "policies", with no qualification, then
as Steve says, all policies could be viewed as
static/dynamic. Even a "static" policy rule  - one
that is to get installed and remain in place until
the end of time - has to be triggered by the 
network adminisitrator that has to enter it into
the policy sytem.

So, I think in considering dynamicity of a policy,
we need to do so in the context of location in the
policy system. For example, how often a policy
rule gets installed/deleted/updated between the
PDP and PEP.

Thanks,
-Fran

Francis Reichmeyer
IPHighway
[email-masked]
+1 201-665-8714

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]
> Sent: Thursday, August 19, 1999 7:41 PM
> To: John Strassner; [email-masked]
> Cc: [email-masked]
> Subject: draft-strassner-policy-terms-01.txt
> 
> 
> Hi John,
> 
>  I just got through your latest terms draft
> (draft-strassner-policy-terms-01.txt), and had a 
> question/comment about
> section 7.3 - How a Policy Is Triggered.
> 
> I'm still struggling with the concept of dynamic policies.  In our
> implementation, there's no such thing - an action is 
> triggered based on an
> event for all policy types.  Events can be pretty much 
> anything. Our policy
> agent toolkit lets you define events and you can write custom 
> triggers based
> on pretty much anything that can happen.
> 
> You describe static policies as policies which could involve 
> time of day.
> For time of day, we set timers to trigger when a policy 
> expires and this
> constitutes an event to turn off the policy.  Similarly, we support
> congestion notification via a process which monitors network load then
> triggers an event when certain pre-set thresholds are exceeded.  The
> resultant actions are just based on preset (static) policies. 
>  e.g. provide
> this set of bandwidth limits to these users/applications at 
> this time of day
> when this threshold is reached (event triggered) and another 
> set when other
> thresholds are reached (or another set based on time of day,
> users/applications/destinations, etc) - it's still a static set of
> policies - it just has different triggers/events.
> 
> I suppose I could see definition of a static policy as one 
> that is always in
> effect, so other than that, if an event is involved in static 
> policies,
> aren't all policies static, and if not, aren't all policies dynamic?
> 
> Thoughts/comments?  Is this just too much of a nit to pursue?
> 
> 
> Steve
> 
> 
> ----------------------------------------------------------------
> Steve Jackowski
> President/CEO
> Deterministic Networks, Inc.
> 245M Mt. Hermon Rd. #140
> Scotts Valley, Ca 95066
> 
> Office: (831) 421-0388 x18
> Home office: (831) 426-4001
> Mobile: (408) 813-6294
> Fax: (831) 421-0394
> 
>